Foxit PDF SDK

Public Member Functions | List of all members
FSDK.FillSignObject Class Reference
Inheritance diagram for FSDK.FillSignObject:

## Public Member Functions
| constructor ()
| Constructor.
| GenerateContent ()
| Generate content for current fill-sign object. More...
| GetRect ()
| Get rectangle, in PDF coordinate system. More...
| GetType ()
| Get fill-sign type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| Move (point, width, height, rotation)
| Move current fill-sign object. More...

## Detailed Description

Class FSDK.FillSignObject is the base class for all kinds of fill-sign object. This class offers base functions to get type, to move a fill-sign object or to generate content for a fill-sign object.

## Member Function Documentation

## ◆ GenerateContent()

FSDK.FillSignObject.GenerateContent | ( |  | ) |

Generate content for current fill-sign object.

For fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeSignature or FSDK.FillSign.e_FillSignObjectTypeInitialsSignature, function FSDK.SignatureFillSignObject.SetBitmap should be called first.

Returns
  true means success, while false means failure.

## ◆ GetRect()

FSDK.FillSignObject.GetRect | ( |  | ) |

Get rectangle, in PDF coordinate system.

Returns
  Fill-sign object rectangle. If there is no rectangle information, a RectF object with all 0 values would be returned.

## ◆ GetType()

FSDK.FillSignObject.GetType | ( |  | ) |

Get fill-sign type.

Returns
  Fill-sign type. Please refer to values starting from FSDK.FillSign.e_FillSignObjectTypeText and this would be one of these values.

## ◆ IsEmpty()

FSDK.FillSignObject.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Move()

FSDK.FillSignObject.Move | ( | point | ,
|  | width | ,
|  | height | ,
|  | rotation |
| ) |  |

Move current fill-sign object.

- If to add a fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeCrossMark, FSDK.FillSign.e_FillSignObjectTypeCheckMark, FSDK.FillSign.e_FillSignObjectTypeLine or FSDK.FillSign.e_FillSignObjectTypeDot, the bigger value of input width and height will be used as both width and height as the moving result.
- If to move a fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeLine, input height is useless and will be ignored.
- This function does not support to move a fill-sign object with FSDK.FillSign.e_FillSignObjectTypeSignature or FSDK.FillSign.e_FillSignObjectTypeInitialsSignature. For this case, exception FSDK.e_ErrUnsupported will be thrown.

Parameters

  [in] | point | New left-bottom point for current fill-sign object, in PDF coordinate system.
  [in] | width | New width for current fill-sign object.
  [in] | height | New height for current fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values except FSDK.e_RotationUnknown.

Returns
  None.